var THE_TREEMAP;

function init() {
	var w = 200;//document.body.clientWidth,
    h = 200;//document.body.clientHeight,
    colors = pv.Colors.category19();

		THE_TREEMAP = new pv.Panel()
    	.width(w)
    	.height(h)
    	.fillStyle("white")
    	.event("mousedown", pv.Behavior.pan())
    	.event("mousewheel", pv.Behavior.zoom());
}


function refresh_graph (data) {
	var force = THE_TREEMAP.add(pv.Layout.Force)
    .nodes(data.nodes)
    .links(data.links);

	force.link.add(pv.Line);

	force.node.add(pv.Dot)
    .size(function(d) { return (d.linkDegree + 4) * Math.pow(this.scale, -1.5)})
    .fillStyle(function(d) { return d.fix ? "brown" : colors(d.group)})
    .strokeStyle(function() { return this.fillStyle().darker()})
    .lineWidth(1)
    .title(function(d) { return d.nodeName});
		/*
    .event("mousedown", pv.Behavior.drag())
    .event("drag", force);
		*/

	THE_TREEMAP.render();
}

function onssbmessage (cmd, val) {
	if (cmd == "updated") {
		update_list ();
	}
	else if (cmd == "selected") {
	}
}

function load_data () {
	var v = {
  	nodes:[
    	{nodeName:"Myriel", group:1},
    	{nodeName:"Napoleon", group:1}
		],
		links:[
    {source:1, target:0, value:1}
		]
	};
	return v;
}

function update_list () {
	$.getJSON("ssb-json://localhost/allEntries.json", function(json) {
						var data = json;
						refresh_graph (data);
	});
}

$(function() {
	init ();
	update_list ();
});
